package cz.moneta.test.dsl.util.data.sb;

import cz.moneta.test.harness.support.data.DataProvider;
// import org.springframework.beans.factory.annotation.Value;

public interface FourPartToken extends DataProvider<FourPartToken> {

    // TODO generate/retrieve from store?
    // @Value("XXX-XXX-XXX-XXX")
    String token();

    FourPartToken withToken(String token);

    default String first() {
        return token().split("-")[0];
    }

    default String second() {
        return token().split("-")[1];
    }

    default String third() {
        return token().split("-")[2];
    }

    default String fourth() {
        return token().split("-")[3];
    }

}
